<?php


namespace App\ViewModels\Especialidade\EspecialidadeDetailsViewModel;

use App\Utils\Entity;

class EspecialidadeDetailsViewModel extends Entity
{

    protected $id;
    protected $descricao;

    public static function builder() : EspecialidadeDetailsViewModelBuilder
    {
        return (new EspecialidadeDetailsViewModelBuilder);
    }
    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }

    public function setId(int $id) : void
    {
        $this->id = $id;
    }
    public function setDescricao(string $descricao) : void
    {
        $this->descricao = $descricao;
    }


}